Subject: Re: ZSH_SCRIPT
From: Peter Stephenson <[email-masked]>
To: Zsh list <[email-masked]>
Date: Thu, 25 Feb 2016 09:33:44 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Wed, 24 Feb 2016 14:31:53 -0800
Bart Schaefer <[email-masked]> wrote:
> On Feb 24, 12:34pm, Greg Klanderman wrote:
> }
> } Sorry I dropped the ball on this topic back in early 2011, see
> } discussion in thread 'loading user startup files for zsh scripts',
> 
> I don't think anyone else remembered that this had been discussed before.
> The choice of ZSH_SCRIPT as a parameter name was convergent evolution.
> 
> Personally I'd be fine with ZSH_SCRIPT being unset at the top level, but
> there are considerations of POSIX_ARGZERO etc. now which didn't exist at
> the time of the 2011 thread.

The variable is new --- we could have a different one to make the POSIX
$0 permanently available.

pws